#include <stdio.h>
#include <stdlib.h>
#include "tifdata.h"
#include "tocgns.h"

extern FILE* yyin;
extern int yyparse();
extern int yylex();


int main(int argc, char ** args)
{
	printf("TIF dump tool 1.3, write by gdiso at 2005.12.27\n\n");	
	if(argc!=2) 
	{
		printf("usage: dumptif tiffile\n");
		exit(0);
	}	
	yyin=fopen(args[1],"r");
	if(yyparse()) exit(0);
	fclose(yyin);
	
	if(solhead.sol_num>0)
	{
		FILE *fp = fopen("solution.dat","w");
		printf("There are %d solution data arrays in this TIF file,listed below\n",solhead.sol_num);	
		for(int i=0;i<solhead.sol_num;i++)
			printf("\\%s  ",solhead.sol_name_array[i].c_str());
		
		printf("\n\nData will be written to solution.dat as : x y soldata1 soldata2...");
		
		for(int i=0;i<node_array.size();i++)
		{ 
	  		fprintf(fp,"%e\t%e\t",node_array[soldata[i].index].x,node_array[soldata[i].index].y);
	  		for(int j=0;j<solhead.sol_num;j++)
				fprintf(fp,"%e\t",soldata[i].data_array[j]);
	  		fprintf(fp,"\n");
		}  
		fclose(fp);
	
		printf("finished\n");	
	}
	
	if(transol.data_name_array.size()>0)
	{
		int index;
		FILE *fp = fopen("transol.dat","w");
		printf("There are %d transient solution datas of %d values in this TIF file\n",
			transol.data_name_array.size(),transol.data_value_array.size());
		printf("transient solution datas are listed below\n");
		for(int i=0;i<transol.data_name_array.size();i++)
		{	printf("%d %s  ",i,transol.data_name_array[i].c_str());
			if((i+1)%4==0) printf("\n");
		}
		do{
			printf("\ndump which? input index number:");
			scanf("%d",&index);
		}while(index>=transol.data_name_array.size()); 
		printf("\nThe unit is %s \n",transol.data_unit_array[index].c_str());
		printf("Data will be written to transol.dat  \n");
		int  datarecord = transol.data_value_array.size()/transol.data_name_array.size();
		for(int i=0;i<datarecord;i++)
			fprintf(fp,"%e\n",transol.data_value_array[index+i*transol.data_name_array.size()]);
		fclose(fp);
		printf("%d datarecords written\n",datarecord);	
	}
	
	if(region_array.size()>0)
	{
		printf("TIF dump to medici_tif.cgns\n");	
		to_cgns("medici_tif.cgns");
	}
	
	if(parameter_array.size()>0)
	{
		FILE *fp=fopen("material.dat","w");
		int region_index=-1;
		for(int i=0;i<parameter_array.size();i++)
	 	{
	 		
	 		if(region_index != parameter_array[i].region-1)
	 		{
	 			region_index = parameter_array[i].region-1;
	 			fprintf(fp,"# %s \n",region_array[region_index].type);
	 		}	
	 	  	for(int j=0;j<parameter_array[i].parameter_name_array.size();j++)
		  		fprintf(fp,"%s = %e\n",parameter_array[i].parameter_name_array[j].c_str(),
			            		     parameter_array[i].parameter_value_array[j]);
		}
		fclose(fp);	            		     
        }			            
			
}
