#ifndef _oglplot_t_
#define _oglplot_t_

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include "tcl.h"
#include "OGLFT.h"
#include "rainbow.h"

using namespace OGLFT;

class OGL 
{
  public:
   	Display *display;
   	Tcl_Interp *interp;
   	char Tcl_cmd_buf[256];
  public:
  	double xmin,xmax;
  	double ymin,ymax;
  	double vmax,vmin;
	double fov,ar,np,fp;
	double box_length;
        double xlocation,ylocation; 
        int    index_data;	
  private:
  	GLfloat   * z;
  	Monochrome* monochrome10;
	Monochrome* monochrome12;
	Monochrome* monochrome14;
	Monochrome* monochrome36;

  private:
  	Rainbow rainbow;	
  public:
  	OGL();
	void set_post_bbox();
  	void draw_logo();
  	void draw_mesh();
  	void draw_axis();
  	void draw_data(int,int);
	void print(char *,int, GLfloat,GLfloat,GLfloat);
	void reset();
};  	

#endif 
